//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2023.02.04 at 11:26:18 PM CET 
//


package com.zakon.intelektualnasvojina.model.p1Obrazac;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for Nadovezivanje complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Nadovezivanje">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="newElement">
 *           &lt;simpleType>
 *             &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *               &lt;enumeration value="Dopunska prijava"/>
 *               &lt;enumeration value="Izdvojena prijava"/>
 *             &lt;/restriction>
 *           &lt;/simpleType>
 *         &lt;/element>
 *         &lt;element name="ID_osnovne_prijave" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="Datum" type="{http://www.w3.org/2001/XMLSchema}date"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Nadovezivanje", propOrder = {
    "newElement",
    "idOsnovnePrijave",
    "datum"
})
public class Nadovezivanje {

    @XmlElement(required = true)
    protected String newElement;
    @XmlElement(name = "ID_osnovne_prijave", required = true)
    protected String idOsnovnePrijave;
    @XmlElement(name = "Datum", required = true)
    @XmlSchemaType(name = "date")
    protected XMLGregorianCalendar datum;

    /**
     * Gets the value of the newElement property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNewElement() {
        return newElement;
    }

    /**
     * Sets the value of the newElement property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNewElement(String value) {
        this.newElement = value;
    }

    /**
     * Gets the value of the idOsnovnePrijave property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIDOsnovnePrijave() {
        return idOsnovnePrijave;
    }

    /**
     * Sets the value of the idOsnovnePrijave property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIDOsnovnePrijave(String value) {
        this.idOsnovnePrijave = value;
    }

    /**
     * Gets the value of the datum property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getDatum() {
        return datum;
    }

    /**
     * Sets the value of the datum property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setDatum(XMLGregorianCalendar value) {
        this.datum = value;
    }

}
